Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d
Class Navigator3D

    java.lang.Object
      de.grogra.imp3d.Navigator3D

All Implemented Interfaces:
  Disposable, DisposableEventListener, java.util.EventListener

    public class Navigator3D

extends java.lang.Object
implements DisposableEventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Field Summary
`protected ViewEventHandler` | `handler`
`protected int` | `lastX`
`protected int` | `lastY`
`protected boolean` | `wheel`

Constructor Summary
`Navigator3D(ViewEventHandler h, java.util.EventObject e)`

Method Summary
`void` | `dispose()`
`void` | `eventOccured(java.util.EventObject e)` This method is invoked on registered event listeners when `event` has occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected final ViewEventHandler handler

### lastX

    protected int lastX

### lastY

    protected int lastY

### wheel

    protected final boolean wheel

Constructor Detail

### Navigator3D

    public Navigator3D(ViewEventHandler h,
                       java.util.EventObject e)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### eventOccured

    public void eventOccured(java.util.EventObject e)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `e` - an event

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD